listLocations

get

/ccstore/v1/locations

List Locations. Retrieves and lists all the available locations using the given query options for paging and sorting.

Request

Supported Media Types
Query Parameters
  • The number of location items to return. The default is 10.
  • Index of the first location item to return. The default is 0.
  • The location items sorting criteria. Following are the fields supported by this param: |Field|Type|Description| |------------------|------------------|------------------| |property|string|The property by which to sort the list of location items. The default is locationId.| |order|string|The sort order, either 'asc' (ascending) or 'desc' (decending). The default is 'asc'.|
Back to Top

Response

Supported Media Types

200 Response

Following model is returned when operation succeeds.
Body ()
Root Schema : listLocations_response
Type: object
Show Source
Nested Schema : items
Type: array
The list of location items.
Show Source
Nested Schema : sort
Type: array
The location items sorting criteria.
Show Source
Nested Schema : items
Type: object
Show Source
  • The first address field of the location.
  • The second address field of the location.
  • The third address field of the location.
  • The city of the location.
  • The country of the location.
  • The county of the location.
  • A session-scoped property that contains the distance when searching for location items. Not applicable.
  • The email address of the location.
  • The end date for the location. This is used when performing a search for inventory available from a store during a specific date range. If the search contains a specific date range, only locations that have a date that are contained within that date range will be displayed.
  • An optional additional location ID, such as the merchant store ID. Use this if you have extra parameters for identifying your stores or locations.
  • The fax number of the location.
  • The store opening hours. Only applicable to location type 'store'.
  • Indicates that location has it's own inventory.
  • The latitude of the location.
  • The ID of the location. This ID will be generated if none is provided.
  • The longitude of the location.
  • The name of the location.
  • The phone number of the location.
  • Indicates that the location allows customers to collect their items.
  • The postal code of the location.
  • The ID of the location repository item.
  • siteGroups
    List of site groups. A location can be constrained to a list of site groups. If no site group is defined, the location is available on all sites.
  • sites
    List of sites. A location can be constrained to a list of sites. If no site is defined, the location is available on all sites.
  • The start date for the location. This is used when performing a search for inventory available from a store during a specific date range. If the search contains a specific date range, only locations that have a date that are contained within that date range will be displayed.
  • The state of the location.
  • The type of location, either 'location' or 'store'.
Nested Schema : siteGroups
Type: array
List of site groups. A location can be constrained to a list of site groups. If no site group is defined, the location is available on all sites.
Show Source
Nested Schema : sites
Type: array
List of sites. A location can be constrained to a list of sites. If no site is defined, the location is available on all sites.
Show Source
Nested Schema : items
Type: object
Show Source
  • The site group ID associated with this location.
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Example Response (application/json)
{
    "total":1,
    "totalResults":1,
    "offset":0,
    "limit":1,
    "links":[
        {
            "rel":"self",
            "href":"https://www.example.com/ccadminui/v1/locations"
        }
    ],
    "sort":[
        {
            "property":"locationId",
            "order":"asc"
        }
    ],
    "items":[
        {
            "country":"USA",
            "distance":null,
            "endDate":"2017-04-25T00:00:00.000Z",
            "city":"Glen Allen",
            "latitude":37.6659833,
            "postalCode":"23060",
            "county":"Henrico",
            "stateAddress":"VA",
            "pickUp":false,
            "sites":[
                {
                    "repositoryId":"siteUS",
                    "id":"siteUS"
                },
                {
                    "repositoryId":"siteCA",
                    "id":"siteCA"
                }
            ],
            "inventory":false,
            "type":"store",
            "locationId":"GlenAllen187",
            "email":"store187@example.com",
            "longitude":-77.5063697,
            "hours":"9:00am - 5:00pm",
            "address3":null,
            "address2":"Suite 101",
            "address1":"4870 Sadler Rd.",
            "externalLocationId":"187",
            "phoneNumber":"(617) 386-1200",
            "siteGroups":[
                {
                    "id":"siteGroup1"
                },
                {
                    "id":"siteGroup2"
                }
            ],
            "repositoryId":"4000345",
            "name":"Glen Allen #187",
            "faxNumber":"(617) 386-1200",
            "startDate":"2016-04-25T00:00:00.000Z"
        }
    ]
}

Default Response

The error response
Body ()
Root Schema : errorModel
Type: object
Show Source
Nested Schema : errors
Type: array
An optional list of errors if multiple errors were encountered
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top